Retrieve DataSet Details
curl --request GET \
--url https://api.domo.com/v1/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/datasets/{dataset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "08a061e2-12a2-4646-b4bc-20beddb403e3",
"name": "Timeline Feed",
"description": "Important",
"rows": 1,
"columns": 6,
"schema": {
"columns": [
{
"type": "STRING",
"name": "Name"
}
]
},
"createdAt": "2015-12-10T07:06:14Z",
"updatedAt": "2016-02-29T20:56:20.567Z",
"pdpEnabled": false,
"policies": [
{
"id": 8,
"type": "user",
"name": "Only Show Attendees",
"filters": [
{
"column": "Attending",
"values": [
"TRUE"
],
"operator": "EQUALS",
"not": false
}
],
"users": [
27
],
"groups": []
}
]
}DataSet API
Retrieve DataSet Details
Retrieves the details of an existing DataSet.
GET
/
v1
/
datasets
/
{dataset_id}
Retrieve DataSet Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the DataSet
Response
Returns a DataSet object if a valid dataset_id was provided. When requesting, if the dataset_id is related to a DataSet that has been deleted, a subset of the DataSet's information will be returned, including a deleted property, which will be true.
⌘I